curl
curl -sS "https://gateway.orbit/api/v1/nodes/7" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"cluster_id": 123,
"name": "<string>",
"status": "<string>",
"platform": "<string>",
"architecture": "<string>",
"tld": "<string>",
"public_ssh_host": "<string>",
"public_ssh_port": 123,
"user": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>",
"wireguard_public_key": "<string>",
"wireguard_endpoint_override": "<string>",
"dns_server_override": "<string>",
"ssh_host_fingerprint": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"roles": [
"<string>"
],
"settings": {
"apps": {
"path": "<string>"
}
},
"updating": {
"kind": "fleet_rollout",
"since": "<string>",
"rollout": 123,
"release": 123
},
"access": {
"can_access": [
{
"id": 123,
"name": "<string>"
}
],
"accessible_by": [
{
"id": 123,
"name": "<string>"
}
]
},
"excluded_projects": [
{
"project_id": 123,
"project_slug": "<string>",
"node_id": 123,
"node_name": "<string>",
"development_instance_count": 123
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Nodes
Show a Node
Show a node registered with the active gateway.
GET
/
api
/
v1
/
nodes
/
{node}
curl
curl -sS "https://gateway.orbit/api/v1/nodes/7" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81'{
"data": {
"id": 123,
"cluster_id": 123,
"name": "<string>",
"status": "<string>",
"platform": "<string>",
"architecture": "<string>",
"tld": "<string>",
"public_ssh_host": "<string>",
"public_ssh_port": 123,
"user": "<string>",
"wireguard_ip": "<string>",
"lan_ip": "<string>",
"wireguard_public_key": "<string>",
"wireguard_endpoint_override": "<string>",
"dns_server_override": "<string>",
"ssh_host_fingerprint": "<string>",
"failed_step": "<string>",
"error_code": "<string>",
"roles": [
"<string>"
],
"settings": {
"apps": {
"path": "<string>"
}
},
"updating": {
"kind": "fleet_rollout",
"since": "<string>",
"rollout": 123,
"release": 123
},
"access": {
"can_access": [
{
"id": 123,
"name": "<string>"
}
],
"accessible_by": [
{
"id": 123,
"name": "<string>"
}
]
},
"excluded_projects": [
{
"project_id": 123,
"project_slug": "<string>",
"node_id": 123,
"node_name": "<string>",
"development_instance_count": 123
}
]
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}